﻿using apifon_sdk_csharp.com.apifon.sdk.helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.model
{
    [DataContract]
    public class Sort
    {
        [DataMember(Name = "sort_dir")]
        public readonly string sortDirection;
        [DataMember(Name = "sort_field")]
        public readonly string sortField;
    
        public static Sort getDefaultSort()
        {
            return new Sort(SortDirection.ASC.ToString(), "id");
        }

        public Sort(string sortDirection, string sortField)
        {
            this.sortDirection = sortDirection;
            this.sortField = sortField;
        }

        public string getSortDirection()
        {
            return sortDirection;
        }

        public string getSortField()
        {
            return sortField;
        }
    }
}
