﻿using apifon_sdk_csharp.com.apifon.sdk.helpers;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.model.request
{
    class GroupSingleQuery : IFieldSerializable<GroupSingleQuery>
    {

        private string listId;
        private string groupField;
        private GroupSingleQuery(string listId, string groupField)
        {
            this.listId = listId;
            this.groupField = groupField;
        }

        public static GroupSingleQuery getGroupRequest(String listId, String groupField)
        {
            if (string.IsNullOrEmpty(listId)) { throw new System.ArgumentNullException("Parameter listId is null."); }
            if (string.IsNullOrEmpty(groupField)) { throw new System.ArgumentNullException("Parameter groupField is null."); }
            return new GroupSingleQuery(listId, groupField);
        }

        public GroupSingleQuery addVisibleField(string field)
        {
            throw new NotImplementedException();
        }

        public GroupSingleQuery addVisibleFields(Collection<string> fields)
        {
            throw new NotImplementedException();
        }

        public HashSet<string> getFields()
        {
            throw new NotImplementedException();
        }

        public String getListId()
        {
            return listId;
        }

        public string getPathId()
        {
            return groupField;
        }

        public string getQueryParams()
        {
            throw new NotImplementedException();
        }
    }
}
