using com.apifon.sdk.response;
using System.Web.Script.Serialization;
using apifon_sdk_csharp.com.apifon.sdk.model;
using Newtonsoft.Json;

namespace com.apifon.sdk.resource
{
    public class IMResource : AbstractResource
    {
        public IMResource() : base("/services/api/v1/im")
        {

        }

        public GatewayResponse Send(ImRequest request)
        {
            JavaScriptSerializer json_serializer = new JavaScriptSerializer();

            this.SetCurMethod("POST");
            this.SetCurEndpoint(this.GetEndpoint() + "/send");
            this.SetCurBody(request.GetBody());

            return JsonConvert.DeserializeObject<GatewayResponse>(this.Dispatch());
        }

        public string Remove(RemoveRequest request)
        {
            this.SetCurMethod("POST");
            this.SetCurEndpoint(this.GetEndpoint() + "/remove");
            this.SetCurBody(request.GetBody());

            return this.Dispatch();
        }

    }

}