﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.helpers
{
    public class SubscriberFieldDateFormat
    {
        private SubscriberFieldDateFormat(string value) { Value = value; }

        public string Value { get; set; }

        public static SubscriberFieldDateFormat dd_mm_yyyy { get { return new SubscriberFieldDateFormat("dd-MM-yy"); } }
        public static SubscriberFieldDateFormat yyyy_mm_dd { get { return new SubscriberFieldDateFormat("yy-MM-dd"); } }
        public static SubscriberFieldDateFormat mm_dd_yyyy { get { return new SubscriberFieldDateFormat("MM-dd-yy"); } }
        public static SubscriberFieldDateFormat shlash_dd_mm_yyyy { get { return new SubscriberFieldDateFormat("dd/MM/yy"); } }
        public static SubscriberFieldDateFormat shlash_yyyy_mm_dd { get { return new SubscriberFieldDateFormat("yy/MM/dd"); } }
        public static SubscriberFieldDateFormat shlash_mm_dd_yyyy { get { return new SubscriberFieldDateFormat("MM/dd/yy"); } }

    }

}