﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.response
{
    [DataContract]
    public class ApiErrorResponse
    {
        [DataMember(Name = "status")]
        public int status;
        [DataMember(Name = "title")]
        public string title;
        [DataMember(Name = "error_details")]
        public Dictionary<string, string> errorDetails;
        [DataMember(Name = "error_report_code")]
        public string errorReportCode;

        public static ApiErrorResponse getOAuthTokenResponse()
        {
            ApiErrorResponse response = new ApiErrorResponse();
            response.status = 401;
            response.title = "Unauthorized";
            return response;
        }

        public int getStatus()
        {
            return status;
        }

        public string getTitle()
        {
            return title;
        }

        public Dictionary<string, string> getErrorDetails()
        {
            return errorDetails;
        }

        public string getErrorReportCode()
        {
            return errorReportCode;
        }
    }
}
