using System.Collections.Generic;
using Newtonsoft.Json;

namespace com.apifon.sdk.response
{
    public class GatewayResponse
    {
        [JsonProperty("request_id")]
        public string RequestId { get; set; }

        [JsonProperty("reference")]
        public string Reference { get; set; }

        [JsonProperty("reference_id")]
        public string ReferenceId { get; set; }

        [JsonProperty("results")]
        public Dictionary<string, List<ResultDetail>> Results { get; set; }

        [JsonProperty("result_info")]
        public ResultInfo ResultInfo { get; set; }
    }
}
