﻿using com.apifon.sdk.model;
using Newtonsoft.Json;
using System;
using System.Runtime.Serialization;

namespace apifon_sdk_csharp.com.apifon.sdk.model
{
    [DataContract]
    public class OtpRequest : IRequest
    {
        private string reference_id;
        private string subscriber;
        private int? code_length;
        private string code_type;
        private string callback_url;
        private int? expire;
        private MessageContent message;

        [DataMember(Name = "reference_id")]
        public string ReferenceId
        {
            get { return reference_id; }
            set { reference_id = value; }
        }

        [DataMember(Name = "subscriber")]
        public string Subscriber
        {
            get { return subscriber; }
            set { subscriber = value; }
        }

        [DataMember(Name = "code_length")]
        public int? CodeLength
        {
            get { return code_length; }
            set { code_length = value; }
        }

        [DataMember(Name = "code_type")]
        public string CodeType
        {
            get { return code_type; }
            set { code_type = value; }
        }

        [DataMember(Name = "callback_url")]
        public string CallbackUrl
        {
            get { return callback_url; }
            set { callback_url = value; }
        }

        [DataMember(Name = "expire")]
        public int? Expire
        {
            get { return expire; }
            set { expire = value; }
        }

        [DataMember(Name = "message")]
        public MessageContent Message
        {
            get { return message; }
            set { message = value; }
        }

        public string GetBody()
        {
            throw new NotImplementedException();
        }

        public string GetCreateBody()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented,
                            new JsonSerializerSettings
                            {
                                NullValueHandling = NullValueHandling.Ignore
                            });
        }

        public string GetDeleteBody()
        {
            throw new NotImplementedException();
        }

        public string GetReadBody()
        {
            throw new NotImplementedException();
        }

        public string GetUpdateBody()
        {
            throw new NotImplementedException();
        }
    }
}
