﻿using com.apifon.sdk.model;
using Newtonsoft.Json;
using System;
using System.Runtime.Serialization;

namespace apifon_sdk_csharp.com.apifon.sdk.model
{
    [DataContract]
    public class SmsRequest : SubscriberViewRequest
    {
        private string referenceId;
        private MessageContent message;
        private string callbackUrl;
        private string tte;
        private string date;

        [DataMember(Name = "reference_id")]
        public string ReferenceId
        {
            get { return referenceId; }
            set { referenceId = value; }
        }

        [DataMember(Name = "message")]
        public MessageContent Message
        {
            get { return message; }
            set { message = value; }
        }

        [DataMember(Name = "callback_url")]
        public string CallbackUrl
        {
            get { return callbackUrl; }
            set { callbackUrl = value; }
        }

        [DataMember(Name = "tte")]
        public string Tte
        {
            get { return tte; }
            set { tte = value; }
        }

        [DataMember(Name = "date")]
        public string Date
        {
            get { return date; }
            set { date = value; }
        }

        public override string GetBody()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented,
                            new JsonSerializerSettings
                            {
                                NullValueHandling = NullValueHandling.Ignore
                            });
        }

        public override string GetCreateBody()
        {
            throw new NotImplementedException();
        }

        public override string GetDeleteBody()
        {
            throw new NotImplementedException();
        }

        public override string GetReadBody()
        {
            throw new NotImplementedException();
        }

        public override string GetUpdateBody()
        {
            throw new NotImplementedException();
        }
    }
}
