using System.Runtime.Serialization;
using System.Collections.Generic;
using System;
using apifon_sdk_csharp.com.apifon.sdk.model;

namespace com.apifon.sdk.model
{
    [DataContract]
    public class SubscriberInformation
    {
        private string number;
        private string customID;
        private Dictionary<string, Object> subParams;

        [DataMember(Name = "number")]
        public string Number {
            get { return number; }
            set { number = value; } 
        }
        [DataMember(Name = "custom_id")]
        public string CustomId { 
            get { return customID; }
            set { customID = value; }     
        }
        [DataMember(Name = "params")]
        public Dictionary<string, Object> RequestParams
        { 
            get { return subParams; }
            set { subParams = value; } 
        }

        public void AddParams(string key, string value)
        {
            if(subParams == null)
            {
                subParams = new Dictionary<string, object>();
            }
            subParams.Add(key, value);
        }

        public void SetLandingPage(LandingProperties lp)
        {
            if (subParams == null)
            {
                subParams = new Dictionary<string, object>();
            }
            subParams.Add("apifon_lp", lp);
        }

    }
}