﻿using apifon_sdk_csharp.com.apifon.sdk.helpers;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.model.request
{
    class SubgroupSingleQuery : IFieldSerializable<SubgroupSingleQuery>
    {
        private string listId;
        private string groupField;
        private string optionsField;

    private SubgroupSingleQuery(string listId, string groupField, string optionsField)
        {
            this.listId = listId;
            this.groupField = groupField;
            this.optionsField = optionsField;
        }

        public static SubgroupSingleQuery getGroupRequest(String listId, String groupField, String optionsField)
        {
            if (string.IsNullOrEmpty(listId)) { throw new System.ArgumentNullException("Parameter listId is null."); }
            if (string.IsNullOrEmpty(optionsField)) { throw new System.ArgumentNullException("Parameter optionsField is null."); }
            if (string.IsNullOrEmpty(groupField)) { throw new System.ArgumentNullException("Parameter groupField is null."); }
            return new SubgroupSingleQuery(listId, groupField, optionsField);
        }

        public SubgroupSingleQuery addVisibleField(string field)
        {
            throw new NotImplementedException();
        }

        public SubgroupSingleQuery addVisibleFields(Collection<string> fields)
        {
            throw new NotImplementedException();
        }

        public HashSet<string> getFields()
        {
            throw new NotImplementedException();
        }

        public string getPathId()
        {
            return optionsField;
        }

        public String getListId()
        {
            return listId;
        }

        public String getGroupField()
        {
            return groupField;
        }

        public string getQueryParams()
        {
            throw new NotImplementedException();
        }
    }
}
