﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.helpers
{
    [DataContract]
    public class Condition
    {
        [DataMember(Name = "name")]
        private readonly string name;
        [DataMember(Name = "op")]
        private readonly string op;
        [DataMember(Name = "vl")]
        private readonly Object vl;

        public Condition(string name, string op, Object vl)
        {
            this.name = name;
            this.op = op;
            this.vl = vl;
        }

        public string getName()
        {
            return name;
        }

        public string getOp()
        {
            return op;
        }

        public Object getVl()
        {
            return vl;
        }
    }
}
