﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.resource.helpers
{
    public class OAuthEntity
    {
        private readonly OAuthResource oauthResource;
        private OAuthCredentials oauthCredentials;

        public OAuthEntity(OAuthResource oauthResource)
        {
            this.oauthResource = oauthResource;
        }

        public OAuthEntity(OAuthResource oauthResource, OAuthCredentials oauthCredentials)
        {
            this.oauthResource = oauthResource;
            this.oauthCredentials = oauthCredentials;
        }

        public OAuthResource getOauthResource()
        {
            return oauthResource;
        }

        public void setOauthCredentials(OAuthCredentials oauthCredentials)
        {
            this.oauthCredentials = oauthCredentials;
        }

        public OAuthCredentials getOauthCredentials()
        {
            return oauthCredentials;
        }
    }
}
